"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
function ContainerAccessor(params) {
  var paddings = params.extraPadding || {
    left: 0,
    top: 0
  };

  var offsetLeft = function offsetLeft() {
    return params.offsets.left;
  };
  var offsetTop = function offsetTop() {
    return params.offsets.top;
  };

  var height = function height() {
    return params.dimensions.height;
  };
  var width = function width() {
    return params.dimensions.width;
  };

  var paddingLeft = function paddingLeft() {
    return paddings.left;
  };
  var paddingTop = function paddingTop() {
    return paddings.top;
  };

  return Object.freeze({
    height: height,
    width: width,
    offsetLeft: offsetLeft,
    offsetTop: offsetTop,
    paddingLeft: paddingLeft,
    paddingTop: paddingTop
  });
};

exports.default = ContainerAccessor;