'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _container = require('./container');

var _container2 = _interopRequireDefault(_container);

var _selection = require('./selection');

var _selection2 = _interopRequireDefault(_selection);

var _events = require('../utils/events');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DragCalculator(containerParams) {
  var container = (0, _container2.default)(containerParams);

  var calculate = function calculate(event, selectionParams, innerOffsets) {
    var selection = (0, _selection2.default)(selectionParams);

    var x = event.clientX - container.offsetLeft() - innerOffsets.left;
    var y = (0, _events.getClientY)(event) - container.offsetTop() - innerOffsets.top;

    y = y < 0 ? 0 : y;
    x = x < 0 ? 0 : x;

    var isBeyondContainerWidth = x + selection.width() > container.width();
    var isBeyondContainerHeight = y + selection.height() > container.height();

    if (isBeyondContainerWidth) {
      x = container.width() - selection.width();
    }

    if (isBeyondContainerHeight) {
      y = container.height() - selection.height();
    }

    return Object.freeze(_extends({}, selectionParams, {
      coordinates: {
        x: x + container.paddingLeft(),
        y: y + container.paddingTop()
      }
    }));
  };

  return Object.freeze({ calculate: calculate });
}

exports.default = DragCalculator;