'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var calculateArea = exports.calculateArea = function calculateArea(dimensions) {
  if ((typeof dimensions === 'undefined' ? 'undefined' : _typeof(dimensions)) !== 'object') {
    return null;
  }

  var width = dimensions.width,
      height = dimensions.height;


  return width * height || null;
};

var getSelectionOffsetsFrom = exports.getSelectionOffsetsFrom = function getSelectionOffsetsFrom(point) {
  return function getSelectionOffsets(element) {
    var _element$getBoundingC = element.getBoundingClientRect(),
        left = _element$getBoundingC.left,
        top = _element$getBoundingC.top;

    return Object.freeze({
      left: left + point.x,
      top: top + point.y
    });
  };
};

var getSelectionOffsets = exports.getSelectionOffsets = getSelectionOffsetsFrom({
  x: window.pageXOffset,
  y: window.pageYOffset
});